
















			VT100 EMULATOR for the C128
			       by Joe O'Hara


			 Copyright (C) 1985,1988 by
			Microtechnic Solutions, Inc.

				    and

		      Commodore Business Machines, Inc.



			    All Rights Reserved			




		  	 Version 2.1 by Fred Bowen























	    Preliminary VT100-128 Manual, last update Feb. 8, 1989

		      VT100-128 version 2.1 Command Key Summary
	----------------------------------------------------------------status
									 line
	[alt] A			Modem command mode (Dial/Answer)
	[alt] B			Toggle Buffer				   B
	[alt] C			Capture Screen to Buffer     
	[alt] D			Dump Buffer
	[alt] E			Erase screen
	[alt] F			Load file into buffer        
	[alt] I			Toggle intercharacter delays      
	[alt] J			Set clock (HHMM)
	[alt] K			Function Key definition
	[alt] L			Linefeed toggle				   L
	[alt] M			Modem settings               
	[alt] N			Load new Options
	[alt] O			Save current Options         
	[alt] P			Printer toggle				   P
	[alt] Q			Repeat keys ON               
	[alt] R			Repeat keys OFF
	[alt] S			Screen dump to printer       
	[alt] T			Print/Display disk file
	[alt] U			Upload sequential disk file  
	[alt] V			Screen background toggle
	[alt] W			Disk command, directory      
	[alt] X			XMODEM transfer				 ( T )
	[alt] Z			Exit program                 
	[alt] +			Flow Control ON
	[alt] -			Flow Control OFF
	[alt] *			Modify ASCII tables
	[alt] /			Display program version

	[alt] <del>		Change DELete character
	[alt] <return>		Toggle <cr><lf> / <cr>only		   R
	[alt] <backarrow>	Make backup      
	[alt] <English pound>	Toggle autowrap  			   W
	[alt] <uparrow>		Recover buffer
	[alt] <cursor up/dwn>	Cursor type      
	[alt] <enter>		Reset program (preserves buffer)

	[C=]  O			View/Change current options  
	[C=] <esc>		Enable/disable graphics

	[stop]			Exits all modes, split screen, etc.
	[help]			Help Screens (1 through 4)
	[linefeed]		BREAK key
	[no scroll]		XON/XOFF toggle  (CTRL-S and CTRL-Q)	   X

		   VT100-128 version 2.1  Keyboard conventions
	----------------------------------------------------------------

		Press			To transmit
		------------------	--------------------------------

		<English pound>		\  (ASCII $5C) (backslash)
		<uparrow>		^  (ASCII $5E) (caret)
		<backarrow>		_  (ASCII $5F) (underscore)

		[shift] *		'  (ASCII $60) (backtick)
		[shift] +		{  (ASCII $7B) (left curly brace)
		[shift] <E. pound>	|  (ASCII $7C) (vertical bar)
		[shift] -		}  (ASCII $7D) (right curly brace)
		[shift] <uparrow>	~  (ASCII $7E) (tilda)
	
		[C=]   <E. pound>	^T  (ASCII $14) (control-T)
		[ctrl] <E. pound>	^\  (ASCII $1C) (control-backslash)
		[ctrl] <uparrow>	^^  (ASCII $1E) (control-caret)
		[ctrl] =		^_  (ASCII $1F) (control-underscore)


	Notes:	See the [C=]<delete> command for implementation of DEL key,
		which can serve as either BS (^H) or DEL (ASCII $7F).

		The user may change most keycodes (transmission) and
		display codes (reception).  These modifications can be
		made easily via [alt]-* or running the CHANGE.MTS utility
		program.  Changes made via [alt]-* can be temporary or
		saved to diskette and thus become the default assignments.

		Certain keys cannot be redefined as their definition is
		established not by VT100-128 but by the C128 kernel.

			VT100-128 version 2.1 Status Line
	--------------------------------------------------------------------

	The VT100-128 status line appears at the top of the display:



60928  BLWXPSRT     <prompt and message area, usually blank>      1234  12:34:56
_____  ________							  ____  ________
  |       |							    |       |
  |        \							   /        |
avail	    special mode indicators		     LED indicators	clock
buffer       (see below)                              (see below)
space



	what it is			how it got there	      indicator
	-----------------------------	--------------------------   -----------
	Buffer capture enabled		[alt] B				   B
	Linefeed mode enabled		[alt] L				   L
	Autowrap mode enabled 		[alt] <English pound>		   W
	Terminal currently XOFF-ed 	[no scroll]			   X
	Printer enabled			[alt] P				   P
	Split-screen mode enabled	[alt] H				   S
	Return mode enabled		[alt] <return>			   R
	XMODEM translate mode enabled	see XMODEM command [alt] X	   T
	LED indicator L1 thru L4 ON	see ESCAPE sequences	     1,2,3,4

	Available buffer size		see [alt] B,C,D,F commands     60928

	clock				set via [alt] J		    00:00:00

			VT100-128 version 2.1 Initial States
	--------------------------------------------------------------------

	The VT100-128 program, as supplied, defaults to the following
	states.  The user can save custom configurations (see ALT-O, ALT-K,
	and ALT-* commands) or load new configurations (see ALT-N).

	State			How to change it    Indicator	Default
	---------------------	------------------- ---------	------------
	Buffer 			[alt] B			B	OFF
	Linefeed mode 		[alt] L			L	OFF
	Autowrap mode enabled 	[alt] <E. pound>	W	ON
	XON/XOFF		[no scroll], ^Q, ^S	X	XON
	Printer			[alt] P			P	OFF
	Split-screen mode	[alt] H			S	OFF
	Return mode		[alt] <return>		R	OFF
	LED indicators				  1,2,3,4	OFF
	Clock			[alt] J		 01:00:00

	Flowcontrol		[alt] + or [alt] -		ON
	Autorepeat keys		[alt] Q or [alt] R		ON
	Graphics		[C=]  <escape>			ON
	Delete key		[alt] <delete>			DEL=$7F
	Inter-character delay	[alt] I				OFF
	Function keys		[alt] K		F1 (PF1)	<esc>OP
						F3 (PF2)	<esc>OQ
						F5 (PF3)	<esc>OR
						F7 (PF4)	<esc>OS

	Modem type		[C=]  O				4 (1670)
	Disk drive		[C=]  O				8
	Printer (device 4)	[C=]  O				7 (second. adr)
	Printer holdoff		[C=]  O				15 (1/4 sec)
	Upload prompt		[C=]  O				$0D (cr)
	Answerback (^E,^BREAK)	[C=]  O				disabled

	Screen colors		[C=]  O		field		6  (blue)
				[C=]  O		text		1  (white)
				[C=]  O		bold		10 (lt.red)
				[C=]  O		status		7  (yellow)
				[C=]  O		split		15 (gray)
	Screen background	[alt] V				normal
	Cursor type		[alt] <crsr up/dwn>		blinking square

	Modem settings		[alt] M		baud		1200
				[alt] M		duplex		full
				[alt] M		stop bits	1		
				[alt] M		word length	8		
				[alt] M		parity		none
				[alt] M		baud adjustment	0329

	Modem parameters	ATE1		(command echo)	ON
				ATV1		(result codes)	verbal
				ATX1		(code set)	partial (0-5)
				ATS0=0		(autoanswer)	disabled

			VT100-128 version 2.1  Command Set
	--------------------------------------------------------------------

	[alt] A		Modem Dial/Answer/Hangup

	This command is used to Dial a number, Answer the telephone (take the
	telephone off-hook) or Hangup the telephone (put the telephone on-hook).
	The status line will display the modem type.  If this is incorrect,
	hit [stop] and change the modem type on the options screen via [C=]-O.
	Characters must be LOWER case.  Terminate each command with <return>.

	Commands:	   t	Dial (originate) using DTMF (touch tone).
				(see "D" in modem command summary for details).

			   p	Dial (originate) using pulse/rotary service.
				(see "D" in modem command summary for details).

			   a	Answer a call (if antoanswer enabled- check DIP
				switches, and ATS0=x modem command).  Takes
				telephone off-hook.

			   h	Hangup a call.  Puts telephone on-hook.

			   [stop]  Exits mode.

	Examples:	t5551212	Dial using touch tone service.
			p5551212	Dial using (pulse or rotary service).
			t8,5551212r;	Dial using touch tone, pause, call an
					originate-only service, and stay in
					command mode after dialing.
			h		Hangup.

	--------------------------------------------------------------------

	[alt] B		Buffer enable/disable toggle

	This command will turn the capture buffer ON if it is currently off,
	or turn it OFF if it is currently on.  If it is on, a "B" is displayed
	on the status line.  The amount of available buffer space is always
	displayed on the status line, at the leftmost margin.

	The capture buffer is a large (almost 64K) area of memory physically
	located in the second bank of C128 RAM.  When turned on, subsequent
	data recieved from the remote system will be appended to the data
	already in the buffer, if any.  When turned off, the data already in
	the buffer will remain there until the user disposes of it (see the
	[alt]-D, dump buffer, command).  Should the buffer fill completely,
	the remote will automatically be paused (XOFF-ed via CTRL-S) and the
	message "BUFFER FULL" will appear on the status line.  To resume
	normal operation, either turn the buffer off ([alt]-B toggle) or
	dispose of of its contents ([alt]-D command), and press CTRL-Q or
	the CRSR-UP/DOWN key to tell the remote system to continue.

	--------------------------------------------------------------------

	[alt] C		Copy the VT100 screen to the Buffer

	Use this command to copy the current VT100 screen display to the end
	of the capture buffer.  Each line of ASCII text on the screen is
	copied, with trailing spaces removed and a return character appended.
	Only the active terminal area is copied; the status line is not copied.
	The number of free bytes in the buffer will decrement accordingly.
	The buffer contents may be displayed, printed, transmitted, or saved
	to disk using the dump buffer command, ALT-D.

	--------------------------------------------------------------------

	[alt] D		Dump the memory Buffer

	This command is used to display, save, or delete the current contents
	of the memory buffer.  If the buffer is empty, a message is displayed
	and the command ends.  When prompted, select the operation you wish to
	perform.  Before the buffer is output you will be asked if you want the
	linefeed characters filtered (see note below).  After the buffer is
	output, you will be asked if you want the buffer cleared (emptied).
	You can abort any operation at any point by pressing STOP.

	D	Disk file output.  Select the CBM file type (SEQuential or
		PRoGram), and enter the filename.  The buffer contents will be
		saved accordingly.  For PRG type files, the load address will
		be that of the memory buffer ($1000).  Disk error messages are
		displayed.  The disk device number is selected on the options
		(C=O) screen.

	P	Printer output.  The buffer contents are filtered (escape
		sequences and some control codes ($08>chr>$0F) are extracted)
		but are otherwise unaltered.  There is no ASCII-PETSCII data
		translation performed.  An error message is displayed if the
		printer is not present.  The printer secondary address (CBM
		mode), and hold-off guard time are selected on the options (C=O)
		screen.  For other printer commands, see ALT-P, ALT-S, and ALT-T
		(printer buffering, print screen, print file).  Before printing,
		the prompt 'Filter Linefeeds?' will appear.  Answer 'Y'es to
		remove them from the output, 'N'o to output them whenever they
		appear, or 'A'dd to convert <cr> into <cr><lf> on output.  The
		printer is always assumed to be device #4.

	S	Screen display output.  The buffer contents are output to the
		screen just as if they were recieved from the remote computer,
		including full VT100 escape sequence processing, control codes,
		etc.  Use the NO-SCROLL key to pause the display, the C= key to
		slow the display.  As an added feature, before the screen is
		cleared by specific escape sequences, the screen dump will halt,
		the prompt PRESS A KEY will appear, and VT100-128 will wait for
		any key to be pressed.  There is no ASCII-PETSCII translation.
		Before printing, the prompt 'Filter Linefeeds?' will appear.
		Answer 'Y'es to remove them from the output, 'N'o to output them
		whenever they appear, or 'A'dd to convert <cr> into <cr><lf> on
		output.
			
	M	Modem output.  The buffer contents are transmitted to the remote
		just as if you had typed them.  The data is transmitted one line
		(or one block) at a time, then VT100-128 waits for the remote to
		respond with the upload prompt (set on the options screen, C=O).
		For normal operations, the upload prompt should be <return>.

	C	Clear the buffer.  The contents of the buffer will be discarded
		and the amount of free buffer memory will be reset to the full
		amount.  An accidentally cleared buffer can be recovered via
		[alt]<up arrow>, subject to any buffer operations which may have
		subsequently occurred.

	--------------------------------------------------------------------

	[alt] E		Erase the screen.

	The local VT100 display is cleared.  Nothing is transmitted.

	--------------------------------------------------------------------

	[alt] F		Load a disk File into the memory Buffer.

	This command will copy (append) a disk file to the memory buffer. If
	the buffer already contains data, the CLEAR BUFFER? query appears,
	providing the user the opportunity to reset the buffer if desired.
	Select the CBM file type (SEQuential or PRoGram), and enter the filename
	when prompted.  The file will be loaded (or appended to the current
	contents of the buffer), and the number of free bytes in the buffer will
	decrement accordingly.  For PRG-type files the load address will be
	ignored.  Disk error messages are displayed.  The buffer contents may
	be displayed, printed, transmitted, or saved back to disk using the
	dump buffer command ALT-D.  The disk device number is selected on the
	options (C=O) screen.

	--------------------------------------------------------------------

	[alt] H		Split Screen (Line Entry) Mode.

	This key sequence places VT100-128 into Line Entry mode.  The cursor
	is placed on the bottom-most line of the screen, and anything typed
	is not transmitted until <return> is pressed or 80 characters have
	been typed.  To transmit data without <returned> appended (such as to
	transmit single control codes), terminate the line by pressing <enter>
	instead of <return>.  Exit Line Entry mode at any time by pressing the
	<stop> key (any data not yet transmitted will be lost).  The color of
	the special "split" line can be specified on the options (C=O) screen.

	This mode is useful for online conferencing because it allows text
	to be typed without it being mixed with other information being
	broadcast at the same time.  Note that the use of Line Entry mode will
	interfere with some VT100 escape sequences, and should not be used in
	such applications.

	--------------------------------------------------------------------

	[alt] I		Inter-character delay enable/disable toggle.

	This command will enable and disable inter-character delays.  When ON,
	a 1/30 second delay is imposed following the transmission of each
	character.  Inter-character delays are normally OFF.  They should be
	enabled only to slow down uploads when the remote system is unable to
	handle such data transfer at full speed.  Press ALT-I once to enable
	delays, press it a second time to disable delays.  A message is
	displayed on the status line indicating the selected state.

	--------------------------------------------------------------------

	[alt] J		Set the Clock.

	The 24-hour system TOD (Time Of Day) clock, displayed on the far right
	side of the status line, can be set with this command.  Enter the time
	in the usual form (HHMMSS).  The system will automatically type the ':'
	between each pair of digits and exit once the seconds have been entered.
	Press <del> to restart TOD entry from the beginning.  Press <stop> to
	exit at any time, leaving remaining TOD registers unchanged.

	--------------------------------------------------------------------

	[alt] K		Function Key definition mode.

	This mode is used to display, change, save, or load function key
	strings.  Select the operation desired from the prompt menu.  Exit
	function key definition mode at any time by pressing <STOP>.

	V	View current definitions.  Control codes appear as reverse
		field characters, <return> appears as a check mark.  Undefined
		keys are not listed.

	L	Load definitions from disk file.  Enter the filename of the
		PRG-type file containing the desired definitions.  The default
		definitions are stored in the file DEFAULT.KEYS.  Disk errors
		are displayed, and the load operation aborts on any error.

	S	Save current definitions in a disk file.  Enter the filename of
		the PRG-type file to create.  To overlay an existing file,
		precede the filename with an '@' character.  To make the current
		definitions the VT100-128 defaults, enter  '@DEFAULT.KETS'  as
		the filename (see the note below).  Disk errors are displayed.

	1-8	To change a function key string, enter the number (1 to 8) of
		the desired key and type the string.  Control codes appear as
		reverse field characters, and the <return> character appears as
		a check mark.  End the definition by pressing <STOP>.  Remove
		a definition by selecting the key number and terminating the
		string entry immediately with <STOP>.  To save any changes, or
		to make any changes permanent, see the Save option above.  To
		restore the default definitions, see the Load option above.

	Up to eight function key strings, PF1 through PF4 shifted and unshifted,
	can be defined.  The maximum length of a string is 128 characters, and
	the maximum length of all strings combined is 240 characters.  Key
	input stops when either limit is reached, and VT100-128 waits for the
	user to press <STOP> or <DELETE>.
	
	Function keys can be programmed with strings such as your login or
	user ID, password, modem setup (AT) commands, or phone numbers.  Note
	that changing the odd numbered function keys (1,3,5, or 7) will affect
	the VT100 keypad application mode, and so should be avoided for such
	applications.

	--------------------------------------------------------------------

	[alt] L		Linefeed (newline) toggle.

	This command will enable and disable new line mode.  When ON, the
	status line 'L' indicator will be displayed and pressing <return>
	will generate the <return><linefeed> character sequence.  When OFF,
	pressing <return> will generate only a <return> character.  If the
	host computer automatically sends <return><linefeed> codes then this
	mode should be OFF for normal operation (default).

	--------------------------------------------------------------------

	[alt] M		Modem setup.

	When setup mode is entered, the status line at the top of the display
	will sumarize the current modem setup.  There are 48 predefined
	configurations from which to choose, selected by pressing the lower
	<cursor_up/down> key.  Press <cursor_down> to advance the selection or
	<cursor_up> (using the shift key) to back up the selection. The table
	below lists the options available:

	baud			baud			baud			
	 |  duplex		 |  duplex		 |  duplex		
	 |   | stop bits	 |   | stop bits	 |   | stop bits	
	 |   | |  word length	 |   | |  word length	 |   | |  word length	
	 |   | |  |  parity	 |   | |  |  parity	 |   | |  |  parity	
	 |   | |  |  |	factor	 |   | |  |  |	factor	 |   | |  |  |	factor	
	 |   | |  |  |  |	 |   | |  |  |  |	 |   | |  |  |  |	
	0300:F:1S:8W:N:1605    *1200:F:1S:8W:N:0329	2400:F:1S:8W:N:0119
	0300:F:1S:7W:E:1605	1200:F:1S:7W:E:0329	2400:F:1S:7W:E:0119
	0300:F:1S:7W:O:1605	1200:F:1S:7W:O:0329	2400:F:1S:7W:O:0119
	0300:F:1S:7W:M:1605	1200:F:1S:7W:M:0329	2400:F:1S:7W:M:0119
	0300:F:1S:7W:S:1605	1200:F:1S:7W:S:0329	2400:F:1S:7W:S:0119
	0300:F:2S:7W:N:1605	1200:F:2S:7W:N:0329	2400:F:2S:7W:N:0119
	0300:H:1S:8W:N:1605	1200:H:1S:8W:N:0329	2400:H:1S:8W:N:0119
	0300:H:1S:7W:E:1605	1200:H:1S:7W:E:0329	2400:H:1S:7W:E:0119
	0300:H:1S:7W:O:1605	1200:H:1S:7W:O:0329	2400:H:1S:7W:O:0119
	0300:H:1S:7W:M:1605	1200:H:1S:7W:M:0329	2400:H:1S:7W:M:0119
	0300:H:1S:7W:S:1605	1200:H:1S:7W:S:0329	2400:H:1S:7W:S:0119
	0300:H:2S:7W:N:1605	1200:H:2S:7W:N:0329	2400:H:2S:7W:N:0119

	The (*) indicates the default setup for this modem.  Not every modem
	or computer supports all the baud rates listed above.  The baud rate
	factor (last item in each column above) can be used to fine tune the
	baud rate factor if necessary.  Press the '+' key to increase the
	factor (decrease the effective baud rate), or press the '-' key to
	decrease the factor (increase the effective baud rate).  Adjusting this
	value is not normally necessary.  Large changes to the factor can be
	used to achieve alternative nominal baud rates.  For example, a value
	of 0010 will result in a baud rate of 4800  (works pretty well for
	XMODEM transfers, reading email, and other similar activities which
	do not involve much interactive communication or moving more than a
	screen-full of data at a time).

	Press <stop> to exit setup mode.  The modem channel will be re-opened
	with the new setup parameters.  The current modem setup is saved
	whenever the options are saved (see ALT-O), and is changed whenever
	new options are loaded (see ALT-N).

	--------------------------------------------------------------------

	[alt] N		Load New Options.

	The VT100-128 setup configuration, including screen colors, default
	disk device, printer and modem parameters, can be re-loaded
	from disk using this command.  These parameters are saved in a disk
	file called OPTSET.MTS, which must be present in the currently
	selected disk device.  The disk status is displayed on the status
	line.  See ALT-M and C=O to change these parameters, and see ALT-O
	to save custom configurations to disk.  Note that special attribute
	modes (such as underline and blink) will be reset after the load.

	--------------------------------------------------------------------

	[alt] O		Save Current Options.

	The current VT100-128 setup configuration, including screen colors,
	default disk device,  and printer and modem parameters, can be saved
	to a disk file using this command.  These parameters are saved in a
	disk file called OPTSET.MTS on the currently selected disk device.
	If the file already exists, it will be deleted first.  All disk
	error messages are displayed on the status line.  See ALT-M and C=O
	to change these parameters, and see ALT-N to load custom configurations
	from disk.  Special attribute modes (such a blink) cannot be saved.

	--------------------------------------------------------------------

	[alt] P		Printer buffer toggle.

	This command will enable and disable the printer capture buffer.  When
	ON, status line 'P' indicator will be displayed and data recieved will
	be both displayed on the screen and spooled to the printer.  The data
	are filtered (escape sequences and some control codes ($08>chr>$0F) are
	extracted) but are otherwise unaltered.  There is no ASCII-PETSCII data
	translation performed.  An error message is displayed if the printer is
	not present.  The printer secondary address (CBM mode) and hold-off
	guard time are selected on the options (C=O) screen.  The printer is
	always assumed to be device #4.

	Using the printer to capture data may not be the most efficient nor
	cost effective way to accumulate data, as throughput is effectively
	reduced to the speed of the printer.  Consider instead enabling the
	memory capture buffer (ALT-B), and after concluding the session
	dumping the memory buffer to the printer (ALT-D).  Use ALT-S to dump
	the contents of the current display screen to the printer.  Use ALT-T
	to print the contents of a SEQuential disk file.

	Press ALT-P again to disable the printer spool.  Any data remaining
	in the spool will be printed, and the printer channel will be closed.

	--------------------------------------------------------------------

	[alt] Q		Auto-Repeat enable.

	This command will enable automatic key repetition.  When ON, any key
	pressed for longer than 1/2 second will repeat at the rate of about
	15 characters per second.  This command affects all modes of VT100-128
	including the communications screen, DOS screen, etc.  There is no
	visual message or status line indicator for this mode.  Press ALT-R
	to disable auto-repeat mode.  The default state is ON.

	--------------------------------------------------------------------

	[alt] R		Auto-Repeat disable.

	This command will disable automatic key repetition.  When OFF, no key
	will repeat; each key depression generates one code no matter how long
	the key is held down.  This command affects all modes of VT100-128
	including the communications screen, DOS screen, etc.  There is no
	visual message or status line indicator for this mode.  Press ALT-Q
	to re-enable auto-repeat mode.  The default state is ON.

	--------------------------------------------------------------------

	[alt] S		Screen dump to printer.

	This command will copy the current contents of the display screen
	(not including the status line) to the printer.  An error message is
	displayed if the printer is not present.  The printer hold-off time
	secondary address (CBM mode) are selected on the options (C=O) screen.
	This command can be used to print the VT100 screen, help screens,
	DOS screen, and options screen.  The printer is always device #4.

	--------------------------------------------------------------------

	[alt] T		Type a disk file.

	This command will display on the screen or print the contents of a
	SEQuential disk file.  When prompted, select either screen or printer
	as the output destination and enter the filename.  The file must be
	present on the currently selected disk device.  The disk status is
	displayed on the status line.  If the output is to the printer, an
	error message is displayed if the printer is not present.  Use C=O to
	change the disk and printer parameters, if necessary, before printing
	a file.  Press <STOP> to abort the output.  Press any key when finished
	to return to the communications screen.  PETSCII data are assumed.

	When Typing to the Screen, no escape codes will be processed.  Instead,
	they, and other control codes except <CR>, will be displayed in reverse
	field.  This is very useful for viewing exactly what a file contains.
	To display the contents of a file normally, use ALT-F to load the file
	into the memory buffer then use ALT-D to dump the buffer to the screen.

	--------------------------------------------------------------------

	[alt] U		Upload a file.

	Use this command to transmit data from a SEQuential disk file to the
	remote system without protocol, translation, or error checking.  The
	data is transmitted just as if it had been entered from the keyboard.
	Enter the SEQuential filename when prompted.  The file must be present
	on the currently selected disk device.  The disk status is displayed
	on the status line.  Press <STOP> at any time to abort the upload.
	Before using this command, select the appropriate disk unit and upload
	prompt character (normally <return>) on the C=O options screen.  Also
	see ALT-I (intercharacter delays) and ALT+/- (flow control).

	This method of uploading is useful for transferring small files or
	transmitting "canned", pre-written messages.  For larger files, an
	error checking protocol such as xmodem (ALT-X) is strongly recommended.

	--------------------------------------------------------------------

	[alt] V		Video invert field toggle.

	This command inverts the video display (reverse field).  The character
	color becomes the background color and the background color becomes the
	foreground color.  Press the key a second time to restore normal video.
	These conditions may be locally reversed depending upon other character
	attributes.  The video mode is saved or restored whenever the current
	options are saved (ALT-O) or loaded (ALT-N).  The default state is OFF.

	--------------------------------------------------------------------

	[alt] W		DOS command mode.

	This command places the system into DOS command mode (often called
	DOS Wedge on Commodore 6502 computers).  If flow control is enabled
	(ALT+/-) the host is XOFF-ed until you exit DOS command mode and return
	to the communications screen.  Exit DOS command mode by pressing <STOP>.

	From DOS command mode, you can issue DOS commands (delete or rename
	file(s), etc.), display the directory, or display the disk status
	message of the currently selected disk drive (before entering DOS
	command mode, use C=O to specify the disk unit on the options screen).
	Following each DOS command, the DOS error message is displayed in bold
	text.  Press <no-scroll> to pause a directory listing, or <stop> to
	abort a listing.  Do not send any data to the disk command channel
	unless the data is intended to be a command.  Some of the common disk
	commands are listed below.  Refer to the appropriate disk manual for a
	complete description of the commands it supports.

		Delete (scratch) a file:	S0:filename
		Rename a file:			R0:new_name=0:old_name
		Format a disk:			N0:disk_name,id
		Initilaize a drive:		I0
		Directory:			$	(all files)
						$0:vt*	(all files beginning
							 with 'vt')
		Status (DOS error message):	<return>

	--------------------------------------------------------------------

	[alt] X		XMODEM file transfer protocol.

	XMODEM is a packet file transfer utility, implementing the Christensen
	protocol.  XMODEM must be run by both the sender and reciever- if
	your host system cannot run XMODEM you will have to transfer the file
	another way (see ALT-U and ALT-B).  Files are sent or received without
	local conversion (see T option below) in 128-byte packets using a
	checksum for error detection.  In the event of a checksum error, the
	packet is repeated.  Excessive errors or timeouts cause XMODEM to abort.
	CRC error checking, XMODEM-1k, and batch protocols like YMODEM or MODEM7
	are not supported. 

	To begin a transfer, first start XMODEM on the host system (refer to
	host system's documentation for proceedure).  When prompted by the host,
	start XMODEM locally by pressing ALT-X, and enter the filename, file
	type, read/write mode, and optional translate flag as follows:

			filename, type, direction [,translate]

		<filename>	is	valid name of existing file if sending,
					or non-existant file (or preceded with
					'@0:') if receiving.

		<type>		is	p  for a PRoGram file
					s  for a SEQuential file
					u  for a USeR file

		<direction>	is	w  for recieving (open Write file)
					r  for sending   (open Read  file)

		<translate>	is	t  to translate ASCII-PETSCII (receive)
						     or PETSCII-ASCII (send)

	The transfer status will be shown on the status line as follows:

				TOT BLK 0000  CHK=x

	where '0000' is the current 128-byte block being transfered and 'x'
	is A if the transfer is good or N is the transfer is bad and being
	automatically retried.	Disk errors are displayed on the status line,
	and result in the cancelation of the transfer.  The file must be
	present (if sending) or must not exist (if receiving) on the currently
	selected drive (select the drive unit on the options screen (C=O)).
	Press <stop> at any time to abort a transfer.  If a download is
	aborted or canceled, the file is closed but not deleted (and please be
	patient- XMODEM protocol has no way to tell the sender to abort except
	via timeouts or 10 consecutive NAKs.  This takes some time.).

	--------------------------------------------------------------------

	[alt] Z		Exit VT100-128.

	Use this command to quit the VT100-128 program.  Before exiting, you
	are asked to confirm your desire to quit.  If there is data in the
	memory buffer, you will be asked if you want it saved.  Press <stop>
	at any point to cancel the Quit operation.  The program can be re-RUN
	immediately by typing RUN<return>.  The RAMdisk, if installed, is left
	intact and accessible.  The modem is NOT told to hang up- if you are
	online the carrier is maintained until you power off your system or
	the remote system drops its carrier.  To hang up, see ALT-A command.

	--------------------------------------------------------------------

	[alt] <CRSR-UP/DOWN>	Select cursor type.

	This command will sequence through various cursor types, including
	blinking & nonblinking blocks and underscores.  They cursor type in
	use will be saved when the options are saved (ALT-O).

	--------------------------------------------------------------------

	[alt] <ENGLISH POUND>	Autowrap mode toggle.

	Normally autowrap mode is controlled by the host via escape sequences.
	Sometimes it is not.  This command will allow you to read lines longer
	than the screen is wide by allowing the text to wrap to the next line.
	When ON, the 'W' indicator will appear on the status line.  The autowrap
	state in use will be saved when the options are saved (ALT-O).

	--------------------------------------------------------------------

	[alt] <ENTER>		Reset terminal.

	This command resets the terminal program from the beginning, reloading
	the TELSET and OPTSET files from the currently selected disk drive (if
	available, otherwise the current options will be used).  The memory
	buffer will be preserved.  If the options file is available, note that
	the modem parameters may change if the option file parameters differ
	from the current configuration in this regard.  The modem is NOT
	hung up and the carrier is maintained.  Your terminal can be reset by
	the remote computer via VT100 escape sequences.

	--------------------------------------------------------------------

	[alt] <RETURN>		Return mode toggle.

	This command toggles the interpretation of <CR> between <CR>-only and
	<CR><LF> (newline) when recieved from the remote computer. This is
	normally not required, but some Commodore-based BBS's occasionally
	transmit <CR>'s only.  When ON, the 'R' indicator appears on the status
	line.  This option is saved when options are saved (ALT-O).

	--------------------------------------------------------------------

	[alt] <+/->		Flow Control toggle.

	Flow control is normally enabled (ALT+), which allows transmission of
	CTL-S (XOFF) and CTL-Q (XON) characters when, for example, you select
	a HELP or DOS screen or press <no_scroll>.  Disabling flow control
	(ALT-) means you will likely lose data when you select one of these
	screens while the receiver is active.  When toggled, a message appears
	on the status line indicating the current state.  When the terminal is
	in an XOFF state (caused by either an XOFF (^S) received from the remote
	or an XOFF is transmitted by VT100-128) and flow control is enabled, the
	'X' indicator appears on the status line.  When OFF, the <no_scroll>
	key has no effect only when used on the communications screen.  The
	state of flow control is saved when you save the translation tables
	(ALT*).  Note that turning flow control off while the remote is in an
	XOFF state ('X' appears on the status line) means you will not be
	able to resume normal communications until you re-enable flow control.

	--------------------------------------------------------------------

	[alt] *		Modify ASCII translation tables.

	The ASCII-PETSCII translation tables, one for input and one for output,
	can be modified.  Select which table by pressing 'R'eceive (input) or
	'T'ransmit (output) when prompted.  Select the code to change by
	pressing the key associated with that code, then select the new value
	by pressing the key associated with that code.  Press <stop> to exit,
	at which time you can choose to permanently save the modified tables
	by answering 'Y'es when prompted (uses currently selected disk drive,
	and displays disk error messages).

	The stand-alone program CHANGE.MTS may be more convienient or practical
	to use for changing the translation tables, depending upon the extent
	of the changes you want to make.

	Normally, modifying the translation tables is not necessary.  Often this
	is done to change the code a certain key generates.  Some (codes) cannot
	be changed, such as BREAK, SHIFT, CONTROL, and <stop>.  When you change
	a key (such as TAB for example) note that what you have actually done is
	change the control code for TAB (^I, ASCII $09) to something else, such
	that pressing CTRL-I will also be changed.  See ALT<delete> for changing
	the code associated with the delete key.  To restore the default value
	to a previously modified CTRL key, press that key twice.  Restoring the
	default value of other keys may not be possible, requiring the default
	translation tables to be re-loaded (put the program disk into the
	current drive and press ALT<enter> to reset VT100-128).

	The translation tables are contained in a file named ASCII.MTS, which
	is loaded into C128 memory ($E00-$FFF).  Expert users may wish to
	modify this file directly before running VT100-128 using the C128's
	built-in MONITOR command.

	--------------------------------------------------------------------

	[alt] /		Display VT100-128 version.

	This command displays the program's release version on the status line.

	--------------------------------------------------------------------

	[alt] <DELETE>	Select DELETE key operation.

	The "delete character" function is implemented in a variety of ways on
	various computer systems.  Use this command to select the implementation
	that is compatible with the system you are using.  There are three modes
	supported:

	mode			   prompt		xmit	receive
	-------------------------  -----------		----	----------------
	ANSI-delete		   DEL=$7F		$7F	$9D (crsr left)
	Non-destructive backspace  DEL=BS ONLY		$08	$9D (crsr left)
	destructive backspace	   DEL=BS & ERASE	$08	$20 (CBM delete)

	Press ALT-DELETE until the implementation you require is displayed on
	the status line.  The selection is saved whenever the options are
	saved (ALT-O) and loaded whenever the options are loaded (ALT-N).

	--------------------------------------------------------------------

	[alt] <BACKARROW>	Make a Backup copy of VT100-128.

	This built-in utility will copy the VT100-128 program to disk, including
	all currently selected options, translation tables, and character
	definitions.  You must prepare a new disk beforehand (see ALT-W).  The
	HELP files must be copied separately by you (use ALT-F to load each one
	into the memory buffer, and ALT-D to save it to disk).  A brief
	explanatory message is displayed, and you are given the option to
	continue.  Press 'Y'es to make a backup, 'N'o or STOP to exit.  As each
	file is created, a message is displayed along with the associated disk
	error message.  The drive used is the currently selected drive (C=O).
	The files copied are:

		VT100-128	The main program file.
		OPTSET.MTS	The options file.
		TELSET.MTS	The character definitions.
		ASCII.MTS	The ASCII-PETSCII translation tables.

	--------------------------------------------------------------------

	[alt] <UPARROW>		Recover cleared memory buffer.

	An accidentally cleared memory buffer can be recovered, assuming no
	other buffer operations have been performed since it was last cleared.
	Press 'Y'es to confirm the request, or 'N'o to exit.  If the buffer
	cannot be recovered, a message is displayed on the status line.  If
	other buffer operations have occurred (such as ALT-C), the previous
	buffer pointers are restored but the buffer contents are unaffected.
	This allows you to possibly recover some of the previous contents.

	--------------------------------------------------------------------

	[C=] O		Option setup mode.

	Option setup mode displays various options, such as screen colors, disk
	unit number, printer parameters, and the answerback message,  and
	allows the user to change these options.  Press the <enter> key to
	move the cursor to the option you want to change, enter the appropriate
	data, and press <enter> to make the change effective.  Exit option mode
	by pressing <stop>.  Limited error checking is performed.  Options can
	be save using the ALT-O command.  Previously saved options can be loaded
	using the ALT-N command.  Many other options are set using specific ALT
	and C= key commands, and are not selectable in option mode although they
	too will be saved and loaded via ALT-O/N.

	Colors:	Enter a decimal number in the range (0-15).  The numbers
		for each color are:

		0 black		4 lt.purple	 8 purple	12 med.gray
		1 white		5 green		 9 brown	13 lt.green
		2 red		6 blue		10 lt.red	14 lt.blue
		3 lt.cyan	7 yellow	11 cyan		15 lt.gray

		Special attributes (such as blink) are selected by the host
		computer via escape sequences.  Color changes will become
		effective upon exiting the options mode.  The changes will not
		affect data already displayed.  Special attribute modes (such
		a blink and underscore) in effect when options mode was entered
		will remain in effect when it is exited (except bold).

	Disk unit:	4-30	(disks are normally 8-11)

	Modems:		0  1660 VIC modem (and other dumb modems)
			1  1650 Automodem
			2  1660 Modem/300 (with carrier detect)
			3  1660 Modem/300 (without carrier detect)
			4  1670 Modem/1200 (and other Hayes compatible or
					    direct connections (null modems))

	Printer Cmd (secondary address):
		Commodore printers offer several print modes selected by the
		secondary address.  Normally this is set to 7 to enable upper/
		lower case printing.

	Prompt:	The upload prompt is the character which is used to prompt
		VT100-128 to send the next line of data during an upload (see
		ALT-U command).  Normally this is the line terminator, <return>,
		which is displayed as a check mark.  To disable this mechanism,
		press <escape> to make the prompt null (displayed as a reverse
		field '@').

	Holdoff: This is the guard time (delay) imposed by VT100-128 during
		printer operations following a <return> character, measured in
		60ths of a second.  If printouts start dropping characters,
		increase this value.  Normally, this value is 15 (1/4 second).

	CTRL-E:	The answer-back message is a pre-stored string of characters
		which a terminal transmits in response to a ^E (ASCII $05) sent
		by the host.  This is also the string of characters VT100-128
		transmits when CTRL-BREAK is pressed.  To enable this feature,
		enter 'Y'es at the prompt and enter the string.  Control codes
		are represented by reverse field characters, and <return> by a
		check mark.  Use the <enter> key to end input.

	--------------------------------------------------------------------

	[C=] <ESCAPE>	Graphics mode enable/disable toggle.

	This command disables the alternate (graphics) VT100 character set.
	Occasionally spurious <CTL>N and <CTL>O characters will cause graphics
	mode to be selected, and you can disable this feature via <C=><ESC>.
	Note that existing graphics on the screen will not be converted to text,
	but future characters will be.  A message appears on the status line
	to indicate the current state.  This option will be saved or loaded when
	other options are saved or loaded.

	--------------------------------------------------------------------

	<HELP>		Help screens

	There are four help screens available for display when the program disk
	is accessible on the currently selected drive.  Select a number from 1
	through 4 to view them, or press STOP to return to the communications
	screen.  The help screens available are:

	(1) Command summary.	A brief description of the various ALT, C=, and
	  			other key sequences available.
	(2) XMODEM protocol.	Briefly describes how to use the XMODEM file
				transfer utility.
	(3) Autodial, autoanswer modem operations.
	(4) Hints and tips pertaining to this program.

	The screens can be printed (ALT-S), or the files copied into the memory
	buffer and viewed anytime (ALT-D).  The four help files are named
	VT100x.HLP, where x=A,B,C,D.

	--------------------------------------------------------------------

	<LINEFEED>	BREAK key.

	The normal C128 implementation of this key is not used; instead this
	key serves as a VT100 BREAK key.  Pressing this key causes a single,
	approximately 300ms BREAK signal to be generated.  The status line will
	display {BREAK}.  Pressing CTRL-BREAK (^BREAK) will send the VT100
	answer-back message, if enabled (enable & specify character string on
	the options screen, C=O).

	--------------------------------------------------------------------

	<NO-SCROLL>	Pause display, flow control.

	When viewing the VT100 communications screen, this key will alternately
	transmit XOFF (^S) and XON (^Q) characters if flow control is enabled
	(see ALT +/-).  When viewing other screens, this key will pause the
	display until it is pressed again, but nothing will be transmitted to
	the remote system.

	--------------------------------------------------------------------

	<STOP>

	When viewing the VT100 communications screen, the STOP key will cause
	a CTRL-C (^C, ASCII $03) code to be transmitted, unless split-screen
	mode (ALT-H) is active, in which case it exits that mode.  On any other
	screen or mode, it is often used to exit a mode or cancel a selection.

	--------------------------------------------------------------------

	CURSOR keys.

	The two lower CRSR-UP/DOWN and CRSR-LEFT/RIGHT on the main C128 keyboard
	generate the usual CBM cursor codes.  The four upper cursor arrow keys
	generate the ANSI VT100 escape sequences, which are transmitted to the
	host computer.  When the host sends these codes back, the corresponding
	cursor action occurs.  The codes generated are dependent upon the cursor
	key application mode ( <ESC>[?1 ) set by the host computer.  VT100-128
	defaults cursor key mode reset:

		Cursor		Cursor mode reset	Cursor mode set
		---------	-----------------	-----------------
		 up		 <esc>[A		 <esc>OA
		 down		 <esc>[B		 <esc>OB
		 right		 <esc>[C		 <esc>OC
		 left		 <esc>[D		 <esc>OD

	--------------------------------------------------------------------

	Numeric KEYPAD and Function Keys.

	The C128 numeric keypad generates codes associated with the key legends,
	with the ENTER key generating the same code as a RETURN key.  To
	distinguish between the numeric keypad keys and the main keyboard, a
	host computer can place VT100-128 into Keypad Application mode using
	an escape sequence (ESC= or ESC>).  VT100-128 defaults to keypad mode
	reset.  The keypad generates the following codes for each mode:

		Keypad key	Keypad mode reset	Keypad mode set
		----------	-----------------	-----------------
		 0		 0			 <esc>Op
		 1		 1			 <esc>Oq
		 2		 2			 <esc>Or
		 3		 3			 <esc>Os
		 4		 4			 <esc>Ot
		 5		 5			 <esc>Ou
		 6		 6			 <esc>Ov
		 7		 7			 <esc>Ow
		 8		 8			 <esc>Ox
		 9		 9			 <esc>Oy

		 PF1 (F1)	 <esc>OP		 <esc>OP
		 PF2 (F3)	 <esc>OQ		 <esc>OQ
		 PF3 (F5)	 <esc>OR		 <esc>OR
		 PF4 (F7)	 <esc>OS		 <esc>OS

		 +		 +			 <esc>Om
		 -		 -			 <esc>Ol
		 .		 .			 <esc>On
		 ENTER		 ENTER			 <esc>OM

	The function keys are pre-defined, but may be modified by the user
	(see the ALT-K command).  If Keypad application mode is set, the normal
	keypad codes can be generated by pressing the ALT key simultaneously
	with the particular keypad key desired, although this is not normally
	necessary.

		VT100-128 version 2.1	Supported Escape Sequences
	-----------------------------------------------------------------

		<esc>7		save cursor position & atr.
		<esc>8		restore cursor position & atr.

		<esc>D		move cursor down one line
		<esc>E		move cursor to start of next line
		<esc>H		set TAB stop
		<esc>M		move cursor up one line
		<esc>Z		report terminal type (non-standard ANSI)
		<esc>c		reset terminal to default state

		<esc>[*@	insert character
		<esc>[*A	move cursor up
		<esc>[*B	move cursor down
		<esc>[*C	move cursor right
		<esc>[*D	move cursor left
		<esc>[*G	position cursor horizontally
		<esc>[*;*H	position cursor
		<esc>[J		clear from cursor to EOS
		<esc>[1J	clear from cursor to BOS
		<esc>[2J	erase entire display
		<esc>[K		clear from cursor to EOL
		<esc>[1K	clear from cursor to BOL
		<esc>[2K	erase entire line
		<esc>[*L	insert line
		<esc>[*M	delete line
		<esc>[*P	delete character

		<esc>[c		report terminal type.  response is  <esc>[?1;11c
		<esc>[*;*f	position cursor
		<esc>[g		clear TAB stop
		<esc>[3g	clear all TAB stops
		<esc>[>5g	set TABs every 8 columns
		<esc>[i		print screen
		<esc>[*m	set character attributes
		<esc>[*q	LED control
		<esc>[r		reset scroll region
		<esc>[*;*r	set scroll region
		<esc>[*v	set cursor attributes

		<esc>[4h	set insert mode
		<esc>[4l	set replace mode
		<esc>[12h	set full duplex mode
		<esc>[12l	set half duplex mode
		<esc>[20l	set LF mode
		<esc>[20h	set NL mode

		<esc>[5n	report terminal status.  response is  <esc>[0n
		<esc>[6n	report cursor location.  response is  <esc>*;*R

	  VT100-128 version 2.1	Supported Escape Sequences (continued)
	-----------------------------------------------------------------

		<esc>[?1h	set cursor key application mode
		<esc>[?1l	reset cursor key application mode
		<esc>[?2l	set VT52 mode  (not currently implemented)
		<esc>[?5h	reverse screen
		<esc>[?5l	normal screen
		<esc>[?6h	set origin mode
		<esc>[?6l	reset origin mode
		<esc>[?7h	set autowrap mode
		<esc>[?7l	reset autowrap mode
		<esc>[?8h	set auto repeat
		<esc>[?8l	reset auto repeat

		<esc>=		set keypad application mode
		<esc>>		set keypad numeric mode
		<esc><		set ANSI mode
		<esc>#8		fill screen with E's

		<esc>(B		assign G0 ASCII character set
		<esc>(0		assign G0 graphic character set
		<esc>(2		assign G0 special character set

			note: the G0 character set is selected by <ctl>O

		<esc>)B		assign G1 ASCII character set
		<esc>)0		assign G1 graphic character set
		<esc>)2		assign G1 special character set

			note: the G1 character set is selected by <ctl>N

	   VT100-128 version 2.1   Declaring the VT100 Terminal
	-----------------------------------------------------------------

	It may be necessary to inform the host system what terminal you are
	using.  If you have difficulty in this matter, you may have to contact
	a SYSOP or other computer operator of the system with which you are
	trying to connect.  The follow procedures are fairly standard:


	UNIX systems, DEC Ultrix-32:	setenv TERM vt100

	VAX VMS systems:		set term/dev=vt100

	TOP-20 systems:			term vt100

	CompuServe:			go defalt	(spelled it incorrectly)
					2		(select terminal type)
					2		(select ANSI/VT100)









	UNIX is a trademark of AT&T Bell Laboratories
	DEC, VAX, VMS, Ultrix-32 are trademarks of Digital Equipment Corporation

	   VT100-128 version 2.1   Use with the Commodore 17xx RAMdisk
	-----------------------------------------------------------------

	This version of the VT100-128 terminal emulator is compatible with
	the Commodore RAMdisk software (version 4.3 or higher) which requires
	one of the C128-compatible RAM Expansion Units (1700 or 1750).

	The RAMdisk must be properly installed before the VT100-128 terminal
	emulator software is loaded and run.  When you install the RAMdisk,
	specify page 8 as the interface page.  Copy to the RAMdisk any files
	(including VT100-128 Help files, etc.) you will need, then load and
	run VT100-128.  Remember to select the default drive from the VT100-128
	options screen (ALT-O).  Whenever a disk operation is performed, an XOFF
	is automatically performed to prevent the loss of data should there be
	a transmission (NMI) during the RAMdisk transfer (DMA).  Flow control
	must be enabled for this to be effective.
